---
schema_version: "1"
id: f922f574afd7e3ee2c102c0757978b17a7d5cc4119b65f26b4f553172fe2dbe2
title: GET /sms/v1/automation/importSend/{tokenid}/status
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/importSendStatus.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/importSendStatus.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: fe425d6cffafb89fea2bb82385f2f1410bf54796152cf8c1048022d929d1f0bf
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/automation/importSend/{tokenid}/status

## Overview

Retrieves the status of a ImportSend automation.

### URL Parameters

<!--complex table-->

| Name        | Type   |              | Description                                      |
| ----------- | ------ | ------------ | ------------------------------------------------ |
| **tokenID** | string | **Required** | The ID provided in the ImportSend REST response. |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/automation/importSend/bzZ0cENGam1FZUtNX0poTDRYZzhlQTo2Mzow/status
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
"status": "Complete",
"lastUpdate": "2013-08-22T00:20:27.117Z",
"createdTime": "2013-08-22T00:12:38.317Z",
"startTime": "2013-08-22T00:12:38.31Z",
"completedTime": "2013-08-22T00:20:27.113Z",
"lastRunTime": "2013-08-22T00:12:38.31Z",
"source": "PracticeReminder.csv", // New in January 2014 Release
"inserted": 15, //number of new records in _MobileSubscription, new in January 2014 release
"updated": 0, // number of updated records, new in January 2014 release
"invalid": 0 // number of invalid rows in the import file, new in January 2014 release
}
```
